#!/usr/bin/perl -w

use strict;
use warnings;
use Switch;

use DataParsers::ExtendedSimonWardFormat;
use DataParsers::ExcelFormat;

package FamilyTreeDataFactory;

sub createFamilyTreeDataFromFile {
  my ( $file_name, $picture_directory ) = @_;
  my $format = (split(/\./, $file_name))[-1];
  $format = "csv" if("txt" eq $format);  # for backward compatibility
  switch ($format) {
  	case "csv" {return ExtendedSimonWardFormat::createFamilyTreeDataFromFile($file_name, $picture_directory, $format)}
  	case "xls" {return ExcelFormat::createFamilyTreeDataFromFile($file_name, $picture_directory)}
  	else {die "Unknown file extension: ".$format }
  }
  
}

1;
